/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 *
 */
package dk.rode.thesis.flyweight;

import dk.rode.thesis.meta.Participant;
import dk.rode.thesis.strategy.Stringable;

/**
  * A <i>character</i> represents a letter, symbol, or whitespace
  * in a {@link Word}. <p>
  * 
  * The actual <i>value</i> of a {@code Character} is its 
  * {@code toString()} representation. <p>
  * 
  * Characters are created using a {@link CharacterFactory} instance.
  *
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a>
  */
@Participant("Flyweight")
public interface Character extends Textual<Character>, Stringable<Character> { 

    // Implemented interfaces supply the desired behaviour!
    
}
