/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 *
 */
package dk.rode.thesis.meta.log;

/**
  * A <i>null log</i> discards all logged messages regardless
  * if active or not.
  *
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a>
  */
public class NullLog extends AbstractLog implements Log {

    /**
      * Constructor, which creates this log as inactive.
      * 
      * @param  clazz The class this log is associated with, if any;
      *               can be null.
     */
    NullLog(Class<?> clazz) {
        super(clazz, false, null);
    }
        
    /**
      * 
      */
    protected void log(Object... messages) {
        // Does nothing...
    }
    
}
