/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 * 
 */

/**
  * Utilities to create <b>dynamic proxies</b>. <p>
  * 
  * The {@link dk.rode.thesis.meta.reflect.proxy.ProxyFactory} class
  * is used to create <i>dynamic proxies</i> based on 
  * {@link java.lang.reflect.Proxy java.lang.reflect.Proxy} instances. 
  * The factory supplies various methods to construct proxies, but
  * is also open for sub-classing for further specialisation and 
  * creation of proxies. <p>
  * 
  * The {@link dk.rode.thesis.meta.reflect.proxy.Reference} interface
  * is used to handle the number of references to a given shared object: 
  * as long as only <i>non-mutable</i> methods are invoked on the 
  * referenced object, the object can be shared among several proxies. 
  * Once a given <i>mutator</i> method is invoked, the referenced object 
  * will be copied using a specified <i>copy</i> method. The 
  * {@link dk.rode.thesis.meta.reflect.proxy.ReferenceInvocationHandler}
  * class is used by proxies representing shared objects, and the
  * {@link dk.rode.thesis.meta.reflect.proxy.ReferenceHandler} is the
  * standard implementation of {@code Reference}, though others can
  * naturally be implemented as well. <p>
  *  
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a> 
  */
package dk.rode.thesis.meta.reflect.proxy;
