/*
 * Created: May-August, 2007
 *
 * Evaluating Software Design Patterns
 * - the "Gang of Four" patterns implemented in Java 6
 *
 * Gunni Rode - http://www.rode.dk 
 *
 * Master's Thesis, Computer Science
 * Department of Computer Science,
 * The Faculty of Science,
 * University of Copenhagen
 * 
 * Feel free to use and/or modify the Java 6 source code 
 * developed for this thesis AT YOUR OWN RISK, but note 
 * that the source code comes WITHOUT ANY - and I do mean 
 * WITHOUT ANY - form of warranty WHAT SO EVER!
 *
 * The original thesis and source code are available at 
 * http://www.rode.dk/thesis
 * 
 */

/**
  * Various <b>tests</b>. <p>
  * 
  * The {@link dk.rode.thesis.meta.test.Testable} interface defines
  * a simple and convenient way to test the <i>overall functionality
  * of a given pattern</i>, but is <b>NOT</b> meant as a replacement 
  * of unit tests of individual packages and classes! The tests
  * performed by {@code Testable} classes normally have a higher
  * level or granularity. <p>
  * 
  * All known testable classes can be tested using the 
  * {@link dk.rode.thesis.meta.test.AllTests} class, which tests each
  * registered {@code Testable} in turn. <p>
  * 
  * To test {@link dk.rode.thesis.meta.model.Sequence} behaviour,
  * the {@link dk.rode.thesis.meta.test.IntegrityTests} class
  * can be used. It tests the general behaviour of all created
  * {@code Sequence} types.
  *  
  * @author Gunni Rode / <a href="http://www.rode.dk">rode.dk</a> 
  */
package dk.rode.thesis.meta.test;
